# Open Source tool configuration

# Name of the layout driver
layout_driver: "klayout"

# DBU value for GDS files
dbu: 0.001

# Path to layer map file
# Use "%(VAR)s" to refer to the respective environment variable
# (e.g. "%(HOME)s/hello_world.txt"). This is the string format 
# convention of Python with values taken from os.environ:
layermap_file: "%(BAG_TECH_CONFIG_DIR)s/klayout/layermap"

# Definitions for the via stacks
# via_definitions: 
# TODO: this is only there to supply the via definitions. They are partially
# available from BAG2_technology_definition.via_parameters.via_id, but these lack
# the information about the via layer
via_definitions:
  TPL1_C: [["tap", "drawing"], ["licon1", "drawing"], ["li1", "drawing"]]    #Added new via connecting tap layer and li layer so that we can use this for substrate connections instead of DIL1_C via
  DIL1_C: [["diff", "drawing"], ["licon1", "drawing"], ["li1", "drawing"]]   #Renamed this via which was previously TPL1_C to reflect that this is only used for mos connections and not substrate connections.
  PYL1_C: [["poly", "drawing"], ["licon1", "drawing"], ["li1", "drawing"]]
  L1M1_C: [["li1", "drawing"], ["mcon", "drawing"], ["met1", "drawing"]]
  M1M2_C: [["met1", "drawing"], ["via", "drawing"], ["met2", "drawing"]]
  M2M3_C: [["met2", "drawing"], ["via2", "drawing"], ["met3", "drawing"]]
  M3M4_C: [["met3", "drawing"], ["via3", "drawing"], ["met4", "drawing"]]
  M4M5_C: [["met4", "drawing"], ["via4", "drawing"], ["met5", "drawing"]]

